=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, dbus (>= 1.8), xauth, xvfb
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
