## baloo-kf5 5.62.0

=== debian/changelog ===
baloo-kf5 (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Remove unused ${shlibs:Depends} substvar for baloo-kf5-dev.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop patch disable_failing_test, no more needed now
  * Drop the migration from baloo-kf5-dbg, no more needed after two Debian
    stable releases.
  * Merge baloo-kf5.install, and baloo-kf5.install.kfreebsd in a single file,
    and use dh-exec to limit the Linux-only files
    - add the dh-exec build dependency
  * Drop the old breaks/replaces in libkf5baloo5, and libkf5balooengine5, as
    those packages are long gone (before oldstable).
  * Remove trailing whitespace in changelog.
  * Remove the unused BINARY_VERSION_NO_EPOCH variable in rules.
  * Drop patch fix-822499.patch, fixed upstream since baloo 5.19.0.
  * Improve shlibs handling of the private libkf5balooengine library:
    - generate upstream-version-strict shlibs, so the other packages require
      current versions of it
    - add lintian overrides to the "issues" that are not really issues
  * Add Build-Depends-Package to the symbols file of libkf5baloo5.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Sep 2019 08:02:14 +0200

baloo-kf5 (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:48 -0700

baloo-kf5 (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 933083).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Update symbols file
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:04 +0100
