## baloo-kf5 5.67.0

=== debian/changelog ===
baloo-kf5 (5.67.0-0ubuntu3) focal; urgency=medium

  * d/patches: Add upstream_sync-indexerconfig-on-exit.patch
    https://bugs.kde.org/417127

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2020 09:30:25 +0000

baloo-kf5 (5.67.0-0ubuntu2) focal; urgency=medium

  * Fix acc test, skip the baloosettings.h header which is not ready to build
    yet.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Feb 2020 07:59:55 +0000

baloo-kf5 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:47:37 +0000

baloo-kf5 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:16:43 +0000

baloo-kf5 (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:56:36 +0000

baloo-kf5 (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:11 +0000

baloo-kf5 (5.62.0-0ubuntu2) eoan; urgency=medium

  * Sync Debian test changes:
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
       packages.
    - Drop patch disable_failing_test, no more needed now.
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as
      they are not run at build time anyway.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 22 Sep 2019 11:14:14 +0100

baloo-kf5 (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Remove unused patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:04:36 +0100

baloo-kf5 (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:10 +0100

baloo-kf5 (5.60.0-0ubuntu2) eoan; urgency=medium

  * Disable testsuite autopkgtest also for i386 and armhf.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 21 Jul 2019 06:56:41 +0100

baloo-kf5 (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:13:50 +0100

baloo-kf5 (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:04 +0100

baloo-kf5 (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:37:46 +0100

baloo-kf5 (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:35:35 +0100
