## baloo-kf5 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.5)
-set(REQUIRED_QT_VERSION 5.9.0)
-set(KF5_VERSION "5.54.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
+set(REQUIRED_QT_VERSION 5.12.0)
+set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF5_VERSION})
@@ -15,13 +15,13 @@
     PROPERTIES
         TYPE REQUIRED
         DESCRIPTION "Extra CMake Modules"
-        URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
+        URL "https://commits.kde.org/extra-cmake-modules"
 )
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # we found extra-cmake-modules, so use it now
 set(CMAKE_MODULE_PATH
-    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH}
 )
 
 include(ECMSetupVersion)
@@ -35,17 +35,18 @@
 )
 
 # include optional and extra cmake stuff
-include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(CMakePackageConfigHelpers)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(ECMInstallIcons)
 include(ECMAddTests)
 include(ECMAddQch)
 include(ECMQtDeclareLoggingCategory)
 include(ECMMarkNonGuiExecutable)
+include(ECMGenerateExportHeader)
+
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -62,7 +63,7 @@
 set_package_properties(LMDB
     PROPERTIES
         DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
-        URL "http://symas.com/mdb"
+        URL "https://symas.com/lmdb"
         TYPE REQUIRED
 )
 if(${LMDB_FOUND})
@@ -71,7 +72,9 @@
 
 # compiler flags and build system
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
-
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
 
 find_package(Inotify)
 set_package_properties(Inotify PROPERTIES
@@ -98,7 +101,6 @@
 
 # targets
 add_subdirectory(src)
-add_subdirectory(icons)
 
 if (BUILD_TESTING AND BUILD_KINOTIFY)
    add_subdirectory(tests)
@@ -149,7 +151,5 @@
     COMPONENT Devel
 )
 
-install(FILES baloo.categories DESTINATION ${KDE_INSTALL_CONFDIR})
-
 # and we're done
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
