=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,21 @@
     ../file/storagedevices.cpp
     ../file/regexpcache.cpp
     ../file/fileexcludefilters.cpp
+    ../file/propertydata.cpp
 
     searchstore.cpp
 
     ${DBUS_INTERFACES}
 )
-ecm_qt_declare_logging_category(BALOO_LIB_SRCS HEADER baloodebug.h IDENTIFIER BALOO CATEGORY_NAME org.kde.baloo)
+ecm_qt_declare_logging_category(BALOO_LIB_SRCS
+    HEADER baloodebug.h
+    IDENTIFIER BALOO
+    CATEGORY_NAME org.kde.baloo
+    DESCRIPTION "Baloo File debug"
+    EXPORT BALOO
+)
 
+kconfig_add_kcfg_files(BALOO_LIB_SRCS baloosettings.kcfgc GENERATE_MOC)
 add_library(KF5Baloo ${BALOO_LIB_SRCS})
 add_dependencies(KF5Baloo BalooDBusInterfaces)
 
@@ -54,7 +62,15 @@
 )
 target_include_directories(KF5Baloo INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/Baloo>")
 
-generate_export_header(KF5Baloo BASE_NAME BALOO_CORE EXPORT_FILE_NAME core_export.h)
+ecm_generate_export_header(KF5Baloo
+    EXPORT_FILE_NAME core_export.h
+    BASE_NAME BALOO_CORE
+    GROUP_BASE_NAME KF
+    VERSION ${KF5_VERSION}
+    DEPRECATED_BASE_VERSION 0
+    DEPRECATION_VERSIONS 5.55
+    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+)
 
 ecm_generate_headers(KF5Baloo_CamelCase_HEADERS
     HEADER_NAMES
@@ -75,6 +91,7 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/core_export.h
+    ${CMAKE_CURRENT_BINARY_DIR}/baloosettings.h
     ${KF5Baloo_HEADERS}
     DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/Baloo/baloo
     COMPONENT Devel
@@ -103,10 +120,13 @@
             Qt5Core_QCH
             KF5CoreAddons_QCH
             KF5FileMetaData_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
         BLANK_MACROS
             BALOO_CORE_EXPORT
             BALOO_CORE_DEPRECATED
             BALOO_CORE_DEPRECATED_EXPORT
+            "BALOO_DEPRECATED_VERSION(x, y, t)"
         TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         COMPONENT Devel
