=== debian/changelog ===
baloo-kf5 (5.68.0-0ubuntu1) focal; urgency=medium

  * Drop included upstream_sync-indexerconfig-on-exit.patch
  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:05 +0000
