=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
-               libkf5auth-dev (>= 5.67.0~),
-               libkf5config-dev (>= 5.67.0~),
-               libkf5coreaddons-dev (>= 5.67.0~),
-               libkf5crash-dev (>= 5.67.0~),
-               libkf5dbusaddons-dev (>= 5.67.0~),
-               libkf5filemetadata-dev (>= 5.67.0~),
-               libkf5i18n-dev (>= 5.67.0~),
-               libkf5idletime-dev (>= 5.67.0~),
-               libkf5kio-dev (>= 5.67.0~),
-               libkf5solid-dev (>= 5.67.0~),
+               libkf5auth-dev (>= 5.68.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5coreaddons-dev (>= 5.68.0~),
+               libkf5crash-dev (>= 5.68.0~),
+               libkf5dbusaddons-dev (>= 5.68.0~),
+               libkf5filemetadata-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5idletime-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5solid-dev (>= 5.68.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
@@ -48,8 +48,8 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.67.0~),
-         libkf5filemetadata-dev (>= 5.67.0~),
+         libkf5coreaddons-dev (>= 5.68.0~),
+         libkf5filemetadata-dev (>= 5.68.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})
